GET /foods/list
Summary: List foods (abridged)
Operation ID: getFoodsList
Auth: unknown
Operation ID: getFoodsList
Auth: unknown
Description
Returns a paged list of foods in abridged format, useful for browsing the food database.
Parameters (3)
api_key
(string, query, required)
Your API key. Use DEMO_KEY for testing.
pageNumber
(integer, query, optional, default: 1)
Page number to retrieve
pageSize
(integer, query, optional, default: 50)
Number of results per page (1-200)
Constraints: {'minimum': 1, 'maximum': 200}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| List foods with default pagination | curl |
https://api.nal.usda.gov/fdc/foods/list?api_key=DEMO_KEY |
|
| List foods page 2 with 25 results per page | curl |
https://api.nal.usda.gov/fdc/foods/list?api_key=DEMO_KEY&pageNumber=2&pageSize=25 |
|
| List foods with maximum page size | curl |
https://api.nal.usda.gov/fdc/foods/list?api_key=DEMO_KEY&pageSize=200 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:41:24.669589 | 404 | 1202ms | |
| 2026-03-23 10:20:05.495394 | 404 | 1132ms | |
| 2026-03-23 09:23:01.941823 | 404 | 914ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:20:05.495394 | 89ee313f8dc3 |
3125f6ba8676 |
| 2026-03-23 10:41:24.669589 | 3125f6ba8676 |
589710344365 |